<?php

declare(strict_types=1);

namespace ComerciaGlobalPayments\AddonPayments\SDK\Encryption\Cypher;

/**
 * Trait NamingTrait.
 *
 * Implements naming-related methods.
 */
trait NamingTrait
{
    public function getCanonicalName(): string
    {
        return substr($this->getName(), 8);
    }

    public function getName(): string
    {
        return static::NAME;
    }
}
